## class: `WyProgressCircular`, `wy-progress-circular`

Progress bar with percentage indicator, indeterminate, error and warning states.

### Fields

| Name            | Type      | Default | Description                                                                                                                                                            | Inherited From |
| --------------- | --------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- |
| `size`          | `number`  | `24`    | The size of the progress in pixels. The pixels are translated to rem size with a base of 16px/rem.                                                                     |                |
| `indeterminate` | `boolean` | `false` | Indeterminate state. Whether or not to display indeterminate progress, which gives no indication&#xA;to how long an activity will take. Overrides progress indication. |                |
| `padded`        | `boolean` | `false` | Use padding around the progress bar.                                                                                                                                   |                |
| `overlay`       | `boolean` | `false` | Overlayed positioning.                                                                                                                                                 |                |
| `value`         | `number`  | `0`     | Progress to display, a fraction between 0 and \`max\`.                                                                                                                 |                |
| `max`           | `number`  | `1`     | Maximum progress to display, defaults to 1.                                                                                                                            |                |
| `reveal`        | `boolean` | `false` | Reveals the progress after a delay. This makes the progress stay hidden when it has a rapid completion.                                                                |                |

### Attributes

| Name            | Field         | Inherited From |
| --------------- | ------------- | -------------- |
| `size`          | size          |                |
| `indeterminate` | indeterminate |                |
| `padded`        | padded        |                |
| `overlay`       | overlay       |                |
| `value`         | value         |                |
| `max`           | max           |                |
| `reveal`        | reveal        |                |

### CSS Parts

| Name                               | Description                                  |
| ---------------------------------- | -------------------------------------------- |
| `wy-progress`                      | Base for progress.                           |
| `wy-progress-reveal`               | When in revealing mode.                      |
| `wy-progress-overlay`              | When in overlay layer.                       |
| `wy-progress-padded`               | When padded.                                 |
| `wy-progress-circular`             | Progress wrapper.                            |
| `wy-primary`                       | Modifier for primary color.                  |
| `wy-progress-indeterminate`        | When in indeterminate state.                 |
| `wy-progress-circle`               | Progress circle.                             |
| `wy-progress-indeterminate-circle` | The circle when in indeterminate state.      |
| `wy-progress-remaining`            | The remainder circle when in progress state. |
| `wy-progress-done`                 | The done circle when in progress state.      |

<details><summary>Private API</summary>

### Fields

| Name          | Privacy   | Type | Default                           | Description | Inherited From |
| ------------- | --------- | ---- | --------------------------------- | ----------- | -------------- |
| `shadowParts` | protected |      | `new ShadowPartsController(this)` |             |                |

</details>

<hr/>

## Exports

| Kind                        | Name                   | Declaration        | Module                                    | Package |
| --------------------------- | ---------------------- | ------------------ | ----------------------------------------- | ------- |
| `js`                        | `WyProgressCircular`   | WyProgressCircular | lib/components/ui/wy-progress-circular.ts |         |
| `custom-element-definition` | `wy-progress-circular` | WyProgressCircular | lib/components/ui/wy-progress-circular.ts |         |
